Loading...
Searching...
No Matches
uhd::rfnoc::dirtifier_t Class Reference

`#include <uhd/rfnoc/dirtifier.hpp>`

Inheritance diagram for uhd::rfnoc::dirtifier_t:
[legend]
Collaboration diagram for uhd::rfnoc::dirtifier_t:
[legend]

## Public Member Functions

| dirtifier_t ()
bool | is_dirty () const override
| This property is always dirty.
bool | is_valid () const override
| This property is always invalid.
bool | equal (property_base_t *) const override
| This property is never equal to anything else.
void | force_dirty () override
| Always dirty, so this can be called as often as we like.
void | set_from_str (const std::string &) override
Public Member Functions inherited from uhd::rfnoc::property_base_t
| property_base_t (const std::string &id, const res_source_info &source_info)
virtual | ~property_base_t ()
const std::string & | get_id () const
| Gets the ID (name) of this property.
const res_source_info & | get_src_info () const
| Return the source info for this property.
bool | read_access_granted () const
| Returns true if this property can be read.
bool | write_access_granted () const
| Returns true if this property can be written to.
access_t | get_access_mode () const
| Return the current access mode.
virtual std::unique_ptr< property_base_t > | clone (res_source_info)
| Create a copy of this property.

## Additional Inherited Members

Public Types inherited from uhd::rfnoc::property_base_t
enum | access_t { NONE , RO = 0x1 , RW = 0x3 , RWLOCKED = 0x5 }

## Detailed Description

This is a special class for property that is always dirty. This is useful to force property resolutions in certain cases.

Note: This has nothing to do with 'dirtify' in the CGI/graphics sense.

## Constructor & Destructor Documentation

## dirtifier_t()

uhd::rfnoc::dirtifier_t::dirtifier_t | ( |  | ) |

inline

## Member Function Documentation

## equal()

bool uhd::rfnoc::dirtifier_t::equal | ( | property_base_t * |  | ) | const

inline override virtual

This property is never equal to anything else.

Implements uhd::rfnoc::property_base_t.

## force_dirty()

void uhd::rfnoc::dirtifier_t::force_dirty | ( |  | ) |

inline override virtual

Always dirty, so this can be called as often as we like.

Implements uhd::rfnoc::property_base_t.

## is_dirty()

bool uhd::rfnoc::dirtifier_t::is_dirty | ( |  | ) | const

inline override virtual

This property is always dirty.

Implements uhd::rfnoc::property_base_t.

## is_valid()

bool uhd::rfnoc::dirtifier_t::is_valid | ( |  | ) | const

inline override virtual

This property is always invalid.

Implements uhd::rfnoc::property_base_t.

## set_from_str()

void uhd::rfnoc::dirtifier_t::set_from_str | ( | const std::string & | new_val_str | ) |

inline override virtual

Set this property's value using a string

This requires the underlying property type to be convertible from a string.

Exceptions

  uhd::runtime_error | if the underlying type has no conversion from a string

Implements uhd::rfnoc::property_base_t.

The documentation for this class was generated from the following file:

- dirtifier.hpp